<vn>
<vn-group>
	<vn-param id="new-id">
		<vn-hash-param key="new"/>
	</vn-param>
	<db-form id="iter" on-status-changed="onStatusChange">
		<db-param column="text" on-changed="onBodyChange"/>
		<db-model id="model" updatable="true" on-operations-done="onOperationsDone">
			SELECT id, title, text, tag
				FROM news WHERE id = #new
			<sql-batch property="batch">
				<item name="new" param="new-id"/>
			</sql-batch>
		</db-model>
	</db-form>
</vn-group>
<div id="title">
	<h1><t>AddEditNew</t></h1>
</div>
<div id="actions" class="action-bar">
	<button on-click="onAcceptClick">
		<img src="image/dark/ok.svg" alt=""/>
		<t>Accept</t>
	</button>
</div>
<div id="form" class="new">
	<div class="box">
		<div class="form">
			<div class="form-group">
				<label><t>Title</t></label>
				<htk-entry column="title" form="iter"/>
			</div>
			<div class="form-group">
				<label><t>Tag</t></label>
				<htk-combo column="tag" form="iter">
					<db-model property="model">
						SELECT name, description FROM news_tag
							ORDER BY description
					</db-model>
				</htk-combo>
			</div>
			<div class="form-group">
				<label><t>NewBody</t></label>
				<textarea id="html-editor"/>
			</div>
		</div>
	</div>
</div>
</vn>
